# kate Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KateSyntaxContextData Class Reference

Class holding the data around the current QDomElement. More...

`#include <katesyntaxdocument.h>`

Collaboration diagram for KateSyntaxContextData:

[legend]
List of all members.

## Public Attributes

QDomElement | parent
QDomElement | currentGroup
QDomElement | item

## Detailed Description

Class holding the data around the current QDomElement.

Definition at line 53 of file katesyntaxdocument.h.

The documentation for this class was generated from the following file:

- katesyntaxdocument.h

This file is part of the documentation for kate Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:36:54 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003